#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 random-source
version:              0.3.0.11
visibility:           public
id:                   random-source-0.3.0.11-FfHYO3mW24zIaVhvS9rpCg
key:                  random-source-0.3.0.11-FfHYO3mW24zIaVhvS9rpCg
license:              LicenseRef-PublicDomain
maintainer:           James Cook <mokus@deepbondi.net>
author:               James Cook <mokus@deepbondi.net>
stability:            provisional
homepage:             https://github.com/mokus0/random-fu
synopsis:             Generic basis for random number generators
description:
    Random number generation based on entropy sources
    able to produce a small but well-defined set of
    primitive variates.  Also includes facilities for
    \"completing\" partial implementations, making it
    easy to define new entropy sources in a way that
    is naturally forward-compatible.

category:             Math
abi:                  518e96a6f005bbea5662987fafab6902
exposed:              True
exposed-modules:
    Data.Random.Internal.Source Data.Random.Internal.Words
    Data.Random.Source Data.Random.Source.DevRandom
    Data.Random.Source.IO Data.Random.Source.MWC
    Data.Random.Source.PureMT Data.Random.Source.Std
    Data.Random.Source.StdGen

hidden-modules:
    Data.Random.Source.Internal.Prim Data.Random.Source.Internal.TH

import-dirs:          /usr/lib/ghc-8.10.4/site-local/random-source-0.3.0.11
library-dirs:         /usr/lib/ghc-8.10.4/site-local/random-source-0.3.0.11
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/random-source-0.3.0.11
hs-libraries:         HSrandom-source-0.3.0.11-FfHYO3mW24zIaVhvS9rpCg
depends:
    base-4.14.1.0 flexible-defaults-0.0.3-Hh8lUxexBfHDesckARE4J5
    mersenne-random-pure64-0.2.2.0-BxRV8TV87DxACbdAriNrbe mtl-2.2.2
    mwc-random-0.15.0.1-CiqY1VbJJ7dHvKm1kLXEVu
    primitive-0.7.1.0-B2oAiHIszjW9d5BDCCv0d7
    random-1.2.0-EwsL2pbBqkD1oyGGKHDL6O
    stateref-0.3-4wfWqmwRLMHJr0J7ORP3wK
    syb-0.7.2.1-IHzu7I6ikCoGwAbnu6OBXz template-haskell-2.16.0.0
    th-extras-0.0.0.4-7G7ImQgXQUBEylB3qcReFV

haddock-interfaces:
    /usr/share/doc/haskell-random-source/html/random-source.haddock

haddock-html:         /usr/share/doc/haskell-random-source/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

